Loading...
Searching...
No Matches
BALL::VIEW::RepresentationMessage Class Reference

Base class for all messages concerning a Representation. More...

`#include <BALL/VIEW/KERNEL/message.h>`

Inheritance diagram for BALL::VIEW::RepresentationMessage:

## Public Types

enum | RepresentationMessageType { UNDEFINED = -1 , ADD = 0 , REMOVE , UPDATE , SELECTED , STARTED_UPDATE , FINISHED_UPDATE , ADD_TO_GEOMETRIC_CONTROL , UPDATE_PROPERTIES }
| Types of RepresentationMessage. More...

## Public Member Functions

| RepresentationMessage ()
virtual | ~RepresentationMessage ()
| RepresentationMessage (Representation &rep, RepresentationMessageType type)
void | setRepresentation (Representation &rep)
Representation * | getRepresentation ()
void | setType (RepresentationMessageType type)
RepresentationMessageType | getType () const
Public Member Functions inherited from BALL::VIEW::Message
| Message ()
| Message (const Message &message)
virtual | ~Message ()
void | setSender (const ConnectionObject *sender)
const ConnectionObject * | getSender () const
void | setDeletable (bool flag=true)
bool | isDeletable () const
boost::any & | data ()

## Detailed Description

Base class for all messages concerning a Representation.

Definition at line 569 of file message.h.

## Member Enumeration Documentation

## RepresentationMessageType

enum BALL::VIEW::RepresentationMessage::RepresentationMessageType

Types of RepresentationMessage.

Enumerator
UNDEFINED | Default Value.
ADD | Add a Representation.
REMOVE | Remove a Representation.
UPDATE | Update the Representation.
SELECTED | Representation was selected in GeometriControl.
STARTED_UPDATE | Started the update of a Representation, no changes allowed in GeometricControl.
FINISHED_UPDATE | Finished the update of a Representation.
ADD_TO_GEOMETRIC_CONTROL | Add a Representation to GeometricControl, but don't update in Scene.
UPDATE_PROPERTIES | Update properties of Representation in GeometricControl, but don't update in Scene.

Definition at line 574 of file message.h.

## Constructor & Destructor Documentation

## RepresentationMessage() [1/2]

BALL::VIEW::RepresentationMessage::RepresentationMessage | ( |  | ) |

## ~RepresentationMessage()

virtual BALL::VIEW::RepresentationMessage::~RepresentationMessage | ( |  | ) |

virtual

## RepresentationMessage() [2/2]

BALL::VIEW::RepresentationMessage::RepresentationMessage | ( | Representation & | rep,
|  | RepresentationMessageType | type )

## Member Function Documentation

## getRepresentation()

Representation * BALL::VIEW::RepresentationMessage::getRepresentation | ( |  | ) |

inline

Definition at line 618 of file message.h.

## getType()

RepresentationMessageType BALL::VIEW::RepresentationMessage::getType | ( |  | ) | const

inline

Definition at line 625 of file message.h.

## setRepresentation()

void BALL::VIEW::RepresentationMessage::setRepresentation | ( | Representation & | rep | ) |

inline

Definition at line 614 of file message.h.

## setType()

void BALL::VIEW::RepresentationMessage::setType | ( | RepresentationMessageType | type | ) |